declare
  rq_id            numeric(16);
  rq_name          varchar(256) := 'Activities by entitlement';
  counter          numeric(16);
begin
  select count(1) into counter from r_query t where lower ( t.name ) = lower ( rq_name ) and t.product = 1;
  if ( counter > 0 ) then
    delete from r_query t where lower ( t.name ) = lower ( rq_name ) and t.product = 1;
  end if;
end;
/
commit;
