declare
  keyval    varchar(256) := 'EXT_AUTH_LOCK';
  counter   numeric(16);
begin
  select count(1) into counter from internal_lock t where t.key = keyval;
  if ( counter = 0 ) then
    insert into internal_lock ( id, last_mod_time, key )
	values ( (select max(id)+1 from internal_lock), sysdate, keyval );
  end if;
end;
/
commit;
