--turn off terminal echo
SET TERMOUT OFF
var IGA_MAIN_USER varchar2(30)
var IGA_MAIN_PASS varchar2(30)
var IGA_AC_USER varchar2(30)
var IGA_AC_PASS varchar2(30)
var IGA_ARC_USER varchar2(30)
var IGA_ARC_PASS varchar2(30)
var IGA_ARM_USER varchar2(30)
var IGA_ARM_PASS varchar2(30)
var IGA_EC_USER varchar2(30)
var IGA_EC_PASS varchar2(30)
var IGA_ES_USER varchar2(30)
var IGA_ES_PASS varchar2(30)
var IGA_ILC_USER varchar2(30)
var IGA_ILC_PASS varchar2(30)
var IGA_IM_USER varchar2(30)
var IGA_IM_PASS varchar2(30)
var IGA_JOB_USER varchar2(30)
var IGA_JOB_PASS varchar2(30)
var IGA_LOC_USER varchar2(30)
var IGA_LOC_PASS varchar2(30)
var IGA_RE_USER varchar2(30)
var IGA_RE_PASS varchar2(30)
var IGA_RU_USER varchar2(30)
var IGA_RU_PASS varchar2(30)
var IGA_CCS_USER varchar2(30)
var IGA_CCS_PASS varchar2(30)

exec :IGA_MAIN_USER := ''
exec :IGA_MAIN_PASS := ''
exec :IGA_AC_USER := ''
exec :IGA_AC_PASS := ''
exec :IGA_ARC_USER := ''
exec :IGA_ARC_PASS := ''
exec :IGA_ARM_USER := ''
exec :IGA_ARM_PASS := ''
exec :IGA_ILC_USER := ''
exec :IGA_ILC_PASS := ''
exec :IGA_IM_USER := ''
exec :IGA_IM_PASS := ''
exec :IGA_EC_USER := ''
exec :IGA_EC_PASS := ''
exec :IGA_ES_USER := ''
exec :IGA_ES_PASS := ''
exec :IGA_JOB_USER := ''
exec :IGA_JOB_PASS := ''
exec :IGA_LOC_USER := ''
exec :IGA_LOC_PASS := ''
exec :IGA_RE_USER := ''
exec :IGA_RE_PASS := ''
exec :IGA_RU_USER := ''
exec :IGA_RU_PASS := ''
exec :IGA_CCS_USER := ''
exec :IGA_CCS_PASS := ''

var DEF_SCHEMA varchar2(30)
var DEF_PASS varchar2(30)
var DEF_IDEAS_PASS varchar2(30)

exec :DEF_SCHEMA := upper('&IGA_CCS_USER');
exec :DEF_PASS   := lower('&IGA_CCS_PASS');
exec :DEF_IDEAS_PASS := '&IDEAS_SCHEMA_DEF_PASS';

declare
  exec_state varchar(32) := upper('&IGA_SPLIT_CORE');
begin
  if ( exec_state = 'YES' or exec_state = 'Y' ) then
    :IGA_MAIN_USER := :DEF_SCHEMA || '_' || upper('MAIN');
    :IGA_AC_USER   := :DEF_SCHEMA || '_' || upper('AC');
    :IGA_ARC_USER  := :DEF_SCHEMA || '_' || upper('ARC');
    :IGA_ARM_USER  := :DEF_SCHEMA || '_' || upper('ARM');
    :IGA_EC_USER   := :DEF_SCHEMA || '_' || upper('EC');
    :IGA_ES_USER   := :DEF_SCHEMA || '_' || upper('ES');
    :IGA_ILC_USER  := :DEF_SCHEMA || '_' || upper('ILC');
    :IGA_IM_USER   := :DEF_SCHEMA || '_' || upper('IM');
    :IGA_JOB_USER  := :DEF_SCHEMA || '_' || upper('JOB');
    :IGA_LOC_USER  := :DEF_SCHEMA || '_' || upper('LOC');
    :IGA_RE_USER   := :DEF_SCHEMA || '_' || upper('RE');
    :IGA_RU_USER   := :DEF_SCHEMA || '_' || upper('RU');
    :IGA_CCS_USER  := :DEF_SCHEMA || '_' || upper('ARC4S');
  else
    :IGA_MAIN_USER := :DEF_SCHEMA;
    :IGA_AC_USER   := :DEF_SCHEMA;
    :IGA_ARC_USER  := :DEF_SCHEMA;
    :IGA_ARM_USER  := :DEF_SCHEMA;
    :IGA_EC_USER   := :DEF_SCHEMA;
    :IGA_ES_USER   := :DEF_SCHEMA;
    :IGA_ILC_USER  := :DEF_SCHEMA;
    :IGA_IM_USER   := :DEF_SCHEMA;
    :IGA_JOB_USER  := :DEF_SCHEMA;
    :IGA_LOC_USER  := :DEF_SCHEMA;
    :IGA_RE_USER   := :DEF_SCHEMA;
    :IGA_RU_USER   := :DEF_SCHEMA;
    :IGA_CCS_USER  := :DEF_SCHEMA;
  end if;
  --schema passwords substitution
  if ( ( exec_state = 'YES' or exec_state = 'Y' ) and upper ( :DEF_SCHEMA ) = upper ( :DEF_PASS ) ) then
    :IGA_MAIN_PASS := lower ( :DEF_PASS || '_' || upper('MAIN') );
    :IGA_AC_PASS   := lower ( :DEF_PASS || '_' || upper('AC') );
    :IGA_ARC_PASS  := lower ( :DEF_PASS || '_' || upper('ARC') );
    :IGA_ARM_PASS  := lower ( :DEF_PASS || '_' || upper('ARM') );
    :IGA_EC_PASS   := lower ( :DEF_PASS || '_' || upper('EC') );
    :IGA_ES_PASS   := lower ( :DEF_PASS || '_' || upper('ES') );
    :IGA_ILC_PASS  := lower ( :DEF_PASS || '_' || upper('ILC') );
    :IGA_IM_PASS   := lower ( :DEF_PASS || '_' || upper('IM') );
    :IGA_JOB_PASS  := lower ( :DEF_PASS || '_' || upper('JOB') );
    :IGA_LOC_PASS  := lower ( :DEF_PASS || '_' || upper('LOC') );
    :IGA_RE_PASS   := lower ( :DEF_PASS || '_' || upper('RE') );
    :IGA_RU_PASS   := lower ( :DEF_PASS || '_' || upper('RU') );
    :IGA_CCS_PASS  := lower ( :DEF_PASS || '_' || upper('ARC4S') );
  elsif ( length ( :DEF_IDEAS_PASS ) >= 1 ) then
    :IGA_MAIN_PASS := :DEF_IDEAS_PASS;
    :IGA_AC_PASS   := :DEF_IDEAS_PASS;
    :IGA_ARC_PASS  := :DEF_IDEAS_PASS;
    :IGA_ARM_PASS  := :DEF_IDEAS_PASS;
    :IGA_EC_PASS   := :DEF_IDEAS_PASS;
    :IGA_ES_PASS   := :DEF_IDEAS_PASS;
    :IGA_ILC_PASS  := :DEF_IDEAS_PASS;
    :IGA_IM_PASS   := :DEF_IDEAS_PASS;
    :IGA_JOB_PASS  := :DEF_IDEAS_PASS;
    :IGA_LOC_PASS  := :DEF_IDEAS_PASS;
    :IGA_RE_PASS   := :DEF_IDEAS_PASS;
    :IGA_RU_PASS   := :DEF_IDEAS_PASS;
    :IGA_CCS_PASS  := :DEF_IDEAS_PASS;
  else
    :IGA_MAIN_PASS := :DEF_SCHEMA;
    :IGA_AC_PASS   := :DEF_SCHEMA;
    :IGA_ARC_PASS  := :DEF_SCHEMA;
    :IGA_ARM_PASS  := :DEF_SCHEMA;
    :IGA_EC_PASS   := :DEF_SCHEMA;
    :IGA_ES_PASS   := :DEF_SCHEMA;
    :IGA_ILC_PASS  := :DEF_SCHEMA;
    :IGA_IM_PASS   := :DEF_SCHEMA;
    :IGA_JOB_PASS  := :DEF_SCHEMA;
    :IGA_LOC_PASS  := :DEF_SCHEMA;
    :IGA_RE_PASS   := :DEF_SCHEMA;
    :IGA_RU_PASS   := :DEF_SCHEMA;
    :IGA_CCS_PASS  := :DEF_SCHEMA;
  end if;
end;
/
column IGA_MAIN_USER new_value IGA_MAIN_USER_NEW
column IGA_MAIN_PASS new_value IGA_MAIN_PASS_NEW
column IGA_AC_USER new_value IGA_AC_USER_NEW
column IGA_AC_PASS new_value IGA_AC_PASS_NEW
column IGA_ARC_USER new_value IGA_ARC_USER_NEW
column IGA_ARC_PASS new_value IGA_ARC_PASS_NEW
column IGA_ARM_USER new_value IGA_ARM_USER_NEW
column IGA_ARM_PASS new_value IGA_ARM_PASS_NEW
column IGA_EC_USER new_value IGA_EC_USER_NEW
column IGA_EC_PASS new_value IGA_EC_PASS_NEW
column IGA_ES_USER new_value IGA_ES_USER_NEW
column IGA_ES_PASS new_value IGA_ES_PASS_NEW
column IGA_ILC_USER new_value IGA_ILC_USER_NEW
column IGA_ILC_PASS new_value IGA_ILC_PASS_NEW
column IGA_IM_USER new_value IGA_IM_USER_NEW
column IGA_IM_PASS new_value IGA_IM_PASS_NEW
column IGA_JOB_USER new_value IGA_JOB_USER_NEW
column IGA_JOB_PASS new_value IGA_JOB_PASS_NEW
column IGA_LOC_USER new_value IGA_LOC_USER_NEW
column IGA_LOC_PASS new_value IGA_LOC_PASS_NEW
column IGA_RE_USER new_value IGA_RE_USER_NEW
column IGA_RE_PASS new_value IGA_RE_PASS_NEW
column IGA_RU_USER new_value IGA_RU_USER_NEW
column IGA_RU_PASS new_value IGA_RU_PASS_NEW
column IGA_CCS_USER new_value IGA_CCS_USER_NEW
column IGA_CCS_PASS new_value IGA_CCS_PASS_NEW

--printing bind variable is necessary to assign value to new_value variable
print :IGA_MAIN_USER
print :IGA_MAIN_PASS
print :IGA_AC_USER
print :IGA_AC_PASS
print :IGA_ARC_USER
print :IGA_ARC_PASS
print :IGA_ARM_USER
print :IGA_ARM_PASS
print :IGA_EC_USER
print :IGA_EC_PASS
print :IGA_ES_USER
print :IGA_ES_PASS
print :IGA_ILC_USER
print :IGA_ILC_PASS
print :IGA_IM_USER
print :IGA_IM_PASS
print :IGA_JOB_USER
print :IGA_JOB_PASS
print :IGA_LOC_USER
print :IGA_LOC_PASS
print :IGA_RE_USER
print :IGA_RE_PASS
print :IGA_RU_USER
print :IGA_RU_PASS
print :IGA_CCS_USER
print :IGA_CCS_PASS

DEFINE IGA_CCS_MAIN_USER  = '&IGA_MAIN_USER_NEW'
DEFINE IGA_CCS_MAIN_PASS  = '&IGA_MAIN_PASS_NEW'
DEFINE IGA_CCS_AC_USER    = '&IGA_AC_USER_NEW'
DEFINE IGA_CCS_AC_PASS    = '&IGA_AC_PASS_NEW'
DEFINE IGA_CCS_ARC_USER   = '&IGA_ARC_USER_NEW'
DEFINE IGA_CCS_ARC_PASS   = '&IGA_ARC_PASS_NEW'
DEFINE IGA_CCS_ARM_USER   = '&IGA_ARM_USER_NEW'
DEFINE IGA_CCS_ARM_PASS   = '&IGA_ARM_PASS_NEW'
DEFINE IGA_CCS_EC_USER    = '&IGA_EC_USER_NEW'
DEFINE IGA_CCS_EC_PASS    = '&IGA_EC_PASS_NEW'
DEFINE IGA_CCS_ES_USER    = '&IGA_ES_USER_NEW'
DEFINE IGA_CCS_ES_PASS    = '&IGA_ES_PASS_NEW'
DEFINE IGA_CCS_ILC_USER   = '&IGA_ILC_USER_NEW'
DEFINE IGA_CCS_ILC_PASS   = '&IGA_ILC_PASS_NEW'
DEFINE IGA_CCS_IM_USER    = '&IGA_IM_USER_NEW'
DEFINE IGA_CCS_IM_PASS    = '&IGA_IM_PASS_NEW'
DEFINE IGA_CCS_JOB_USER   = '&IGA_JOB_USER_NEW'
DEFINE IGA_CCS_JOB_PASS   = '&IGA_JOB_PASS_NEW'
DEFINE IGA_CCS_LOC_USER  = '&IGA_LOC_USER_NEW'
DEFINE IGA_CCS_LOC_PASS  = '&IGA_LOC_PASS_NEW'
DEFINE IGA_CCS_RE_USER    = '&IGA_RE_USER_NEW'
DEFINE IGA_CCS_RE_PASS    = '&IGA_RE_PASS_NEW'
DEFINE IGA_CCS_RU_USER    = '&IGA_RU_USER_NEW'
DEFINE IGA_CCS_RU_PASS    = '&IGA_RU_PASS_NEW'
DEFINE IGA_CCS_ARC4S_USER = '&IGA_CCS_USER_NEW'
DEFINE IGA_CCS_ARC4S_PASS = '&IGA_CCS_PASS_NEW'

UNDEFINE IGA_MAIN_USER_NEW
UNDEFINE IGA_MAIN_PASS_NEW
UNDEFINE IGA_AC_USER_NEW
UNDEFINE IGA_AC_PASS_NEW
UNDEFINE IGA_ARC_USER_NEW
UNDEFINE IGA_ARC_PASS_NEW
UNDEFINE IGA_ARM_USER_NEW
UNDEFINE IGA_ARM_PASS_NEW
UNDEFINE IGA_EC_USER_NEW
UNDEFINE IGA_EC_PASS_NEW
UNDEFINE IGA_ES_USER_NEW
UNDEFINE IGA_ES_PASS_NEW
UNDEFINE IGA_ILC_USER_NEW
UNDEFINE IGA_ILC_PASS_NEW
UNDEFINE IGA_IM_USER_NEW
UNDEFINE IGA_IM_PASS_NEW
UNDEFINE IGA_JOB_USER_NEW
UNDEFINE IGA_JOB_PASS_NEW
UNDEFINE IGA_LOC_USER_NEW
UNDEFINE IGA_LOC_PASS_NEW
UNDEFINE IGA_RE_USER_NEW
UNDEFINE IGA_RE_PASS_NEW
UNDEFINE IGA_RU_USER_NEW
UNDEFINE IGA_RU_PASS_NEW
UNDEFINE IGA_CCS_USER_NEW
UNDEFINE IGA_CCS_PASS_NEW

--turn on terminal echo
SET TERMOUT ON

--prompt &IGA_CCS_MAIN_USER/&IGA_CCS_MAIN_PASS
--prompt &IGA_CCS_AC_USER/&IGA_CCS_AC_PASS
--prompt &IGA_CCS_ARC_USER/&IGA_CCS_ARC_PASS
--prompt &IGA_CCS_ARM_USER/&IGA_CCS_ARC_PASS
--prompt &IGA_CCS_ILC_USER/&IGA_CCS_ILC_PASS
--prompt &IGA_CCS_IM_USER/&IGA_CCS_IM_PASS
--prompt &IGA_CCS_EC_USER/&IGA_CCS_EC_PASS
--prompt &IGA_CCS_ES_USER/&IGA_CCS_ES_PASS
--prompt &IGA_CCS_JOB_USER/&IGA_CCS_JOB_PASS
--prompt &IGA_CCS_LOC_USER/&IGA_CCS_LOC_PASS
--prompt &IGA_CCS_RE_USER/&IGA_CCS_RE_PASS
--prompt &IGA_CCS_RU_USER/&IGA_CCS_RU_PASS
--prompt &IGA_CCS_ARC4S_USER/&IGA_CCS_ARC4S_PASS
--prompt
