declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-01418); -- undefined name

begin
  stat := '
  DROP INDEX TRANSACTION_APPL_ID_NAME_IDX
  ';
  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-00955); -- name already used by an existing object

begin
  stat := '
  CREATE UNIQUE INDEX TRANSACTION_APPL_NAME_IDX ON TRANSACTION (APPLICATION, NAME)
  NOLOGGING
  NOPARALLEL
  TABLESPACE &INDEX_TABLESPACE COMPUTE STATISTICS
  ';
  execute immediate (stat);

exception
  when exception1 then null;

end;
/